Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
sm2_enc.cpp File Reference
`#include <botan/sm2.h>`
`#include <botan/internal/point_mul.h>`
`#include <botan/pk_ops.h>`
`#include <botan/der_enc.h>`
`#include <botan/ber_dec.h>`
`#include <botan/kdf.h>`
`#include <botan/hash.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

const EC_Group m_group

Definition at line 104 of file sm2_enc.cpp.

size_t m_hash_size

Definition at line 109 of file sm2_enc.cpp.

const std::string m_kdf_hash

Definition at line 105 of file sm2_enc.cpp.

const SM2_Encryption_PrivateKey& m_key

Definition at line 230 of file sm2_enc.cpp.

PointGFp_Var_Point_Precompute m_mul_public_point

Definition at line 108 of file sm2_enc.cpp.

RandomNumberGenerator& m_rng

Definition at line 231 of file sm2_enc.cpp.

std::vector<BigInt> m_ws

Definition at line 107 of file sm2_enc.cpp.